# VecAppendOptionsPrefix

Appends to the prefix used for searching for all Vec options in the database.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PETSCVEC_DLLEXPORT VecAppendOptionsPrefix(Vec v,const char prefix[])

Collective on Vec

### Input Parameters

| v | - the Vec context
| prefix | - the prefix to prepend to all option names

### Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

### Keywords

Vec, append, options, prefix, database

### See Also

VecGetOptionsPrefix()

Level:advanced
Location: src/vec/vec/interface/vector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages